Bug 213662 - Review Request: openmpi - Upstream MPI package with native InfiniBand support
Review Request: openmpi - Upstream MPI package with native InfiniBand support
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 203299
  Show dependency treegraph
 
Reported: 2006-11-02 09:22 EST by Doug Ledford
Modified: 2008-09-30 23:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-09 14:17:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Ledford 2006-11-02 09:22:46 EST
The openmpi package is the intended replacement for the aging and deprecated by upstream lam package.  It depends on the openib package.  The openmpi and openib packages are already in CVS and used in RHEL4 and RHEL5.  The openmpi package is already accepted into Fedora Extras.  However, that presents a problem for packages like Valgrind that would like to compile against it and are in core.  I would like to add openmpi to Fedora Core Development (aka rawhide) and possibly to Fedora Core 6 as an update.
Comment 1 Deji Akingunola 2006-11-04 13:46:54 EST
Oops, sorry I don't understand this; last time I checked openmpi was bundled
with FC6 and has been in devel (rawhide) for a little while.
Comment 2 Susi Lehtola 2008-09-24 08:54:15 EDT
Now that OpenMPI includes InfiniBand support, I think it should be switched off. The IB stack adds unnecessary overhead, since 99.9% of users don't have InfiniBand hardware. And the people who *do* have InfiniBand often don't use Fedora/RHEL, but some specialized cluster distribution instead. (Who would want to reinstall the cluster OS every year or so?)
Comment 3 Doug Ledford 2008-09-24 09:20:24 EDT
The transport portion of the openmpi package is completely modular.  When you aren't using IB, the IB module isn't even loaded, and hence doesn't slow anything down.
Comment 4 Ed Hill 2008-09-24 15:43:06 EDT
Doug's observation about OpenMPI modularity is spot-on.  Its one of the 
key features *of* OpenMPI.

And to Jussi I'd like to point out that there are indeed people who use 
Fedora and IB.  IB is more affordable with every passing year and I'm 
grateful for the work Doug has done to make it easier to use various 
OFED packages on "stock" Fedora systems.
Comment 5 Susi Lehtola 2008-09-30 20:49:38 EDT
But then *why* is it so slow to execute? Even on a shining new system it takes about a second to start an MPI job, whereas without IB sniffing it's as fast as executing a "normal" binary..

Could openmpi be branched into IB and non-IB versions?
Comment 6 Doug Ledford 2008-09-30 23:24:01 EDT
The old, closed, no longer needed package review request is not the right place to discuss issues with existing packages.  If your package has a problem, then you need to file a bug.  That being said, your report is currently useless.  I don't know what package you are talking about "sniffing" infiniband, but the Fedora package of openmpi-1.2.4-2.fc9 (latest built) does *not* include infiniband support.  Secondly, the openmpi package does not "sniff" infiniband *anyway*.  It uses infiniband if you pass the option -mca btl openib,self.  But, as I said, the fedora package isn't even built with infinband support so the openib module doesn't exist.  I don't know what's wrong in your setup, but if you are using the fedora openmpi package, then it isn't "infiniband sniffing".

Note You need to log in before you can comment on or make changes to this bug.